from typing import TYPE_CHECKING
from sqlalchemy import ForeignKey, Integer, String
from sqlalchemy.orm import Mapped, mapped_column, relationship
from .base import BaseORM

if TYPE_CHECKING:
    from .wallets import Wallet

class History(BaseORM):
    __tablename__ = "histories"
    history_id: Mapped[int] = mapped_column(
        primary_key=True
    )
    name: Mapped[str] = mapped_column(String(64))
    amount: Mapped[int] = mapped_column(Integer)
    wallet_id: Mapped[int] = mapped_column(
        ForeignKey("wallets.wallet_id"), index=True
    )
    wallet: Mapped[list["Wallet"]] = relationship(
        back_populates="histories"
    )
