from typing import TYPE_CHECKING
from sqlalchemy import String
from sqlalchemy.orm import Mapped, mapped_column, relationship
from .base import BaseORM

if TYPE_CHECKING:
    from .histories import History

class Wallet(BaseORM):
    __tablename__ = "wallets"
    wallet_id: Mapped[int] = mapped_column(
        primary_key=True
    )
    name: Mapped[str] = mapped_column(String(64))
    histories: Mapped[
        list["History"]
    ] = relationship(back_populates="wallet")
